import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataTfeIpRangesConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/ip_ranges#id DataTfeIpRanges#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/tfe/d/ip_ranges tfe_ip_ranges}
*/
export declare class DataTfeIpRanges extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "tfe_ip_ranges";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/tfe/d/ip_ranges tfe_ip_ranges} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataTfeIpRangesConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataTfeIpRangesConfig);
    get api(): string[];
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    get notifications(): string[];
    get sentinel(): string[];
    get vcs(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
