import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataTfeOrganizationConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/organization#id DataTfeOrganization#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/tfe/d/organization#name DataTfeOrganization#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/tfe/d/organization tfe_organization}
*/
export declare class DataTfeOrganization extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "tfe_organization";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/tfe/d/organization tfe_organization} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataTfeOrganizationConfig
    */
    constructor(scope: Construct, id: string, config: DataTfeOrganizationConfig);
    get collaboratorAuthPolicy(): string;
    get costEstimationEnabled(): cdktf.IResolvable;
    get email(): string;
    get externalId(): string;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    get ownersTeamSamlRoleId(): string;
    get sendPassingStatusesForUntriggeredSpeculativePlans(): cdktf.IResolvable;
    get twoFactorConformant(): cdktf.IResolvable;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
